import * as PROTAGONIST from "./protagonist.mjs"
import * as WEAPON from "./weapon.mjs"
import * as BOND from "./bond.mjs"


export const SYSTEM_ID = "fvtt-cthulhu-eternal"

export const AVAILABLE_SETTINGS = {
  common: "CTHULHUETERNAL.Settings.Common",
  modern: "CTHULHUETERNAL.Settings.Modern",
  jazz: "CTHULHUETERNAL.Settings.Jazz",
  future: "CTHULHUETERNAL.Settings.Future",
  coldwar: "CTHULHUETERNAL.Settings.ColdWar",
  ww2: "CTHULHUETERNAL.Settings.WW2",
  ww1: "CTHULHUETERNAL.Settings.WW1",
  victorian: "CTHULHUETERNAL.Settings.Victorian",
  revolution: "CTHULHUETERNAL.Settings.Revolution",
  medieval: "CTHULHUETERNAL.Settings.Medieval",
  classical: "CTHULHUETERNAL.Settings.Classical"
}

export const ASCII = `
······················································································································
:                                                                                                                    :
:@@@      @@@@@@@@ @@@@@@@ @@@  @@@  @@@@@@  @@@         @@@@@@@@  @@@@@@  @@@  @@@ @@@@@@@  @@@@@@   @@@@@@ @@@ @@@ :
:@@!      @@!        @!!   @@!  @@@ @@!  @@@ @@!         @@!      @@!  @@@ @@!@!@@@   @!!   @@!  @@@ !@@     @@! !@@ :
:@!!      @!!!:!     @!!   @!@!@!@! @!@!@!@! @!!         @!!!:!   @!@!@!@! @!@@!!@!   @!!   @!@!@!@!  !@@!!   !@!@!  :
:!!:      !!:        !!:   !!:  !!! !!:  !!! !!:         !!:      !!:  !!! !!:  !!!   !!:   !!:  !!!     !:!   !!:   :
:: ::.: : : :: ::     :     :   : :  :   : : : ::.: :     :        :   : : ::    :     :     :   : : ::.: :    .:    :
:                                                                                                                    :
······················································································································
`

/**
 * Include all constant definitions within the SYSTEM global export
 * @type {Object}
 */
export const SYSTEM = {
  id: SYSTEM_ID,
  CHARACTERISTICS: PROTAGONIST.CHARACTERISTICS,
  WEAPON_TYPE: WEAPON.WEAPON_TYPE,
  BOND_TYPE: BOND.BOND_TYPE,
  AVAILABLE_SETTINGS,
  ASCII
}
